Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
tree: 3feaed94c2
Fetching contributors…

Octocat-spinner-32-eaf2f5

Cannot retrieve contributors at this time

file 108 lines (92 sloc) 2.486 kb
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107
source 'http://rubygems.org'
source 'http://gems.github.com'

gem 'rails', '3.2.6'
gem 'rake', '0.9.2.2'

# Database [Putting pg to the end because of a weird bug with Lion, pg and openssl]
gem 'pg'
gem 'foreigner'
gem 'activerecord-postgresql-adapter'

# Frontend stuff
gem 'jquery-rails'
gem 'slim'
gem 'slim-rails'

# Authentication and Authorization
gem 'omniauth', "~> 1.1.0"
gem 'omniauth-openid', '~> 1.0.1'
gem 'omniauth-twitter', '~> 0.0.12'
gem 'omniauth-facebook', '~> 1.2.0'
gem 'omniauth-github', '~> 1.0.1'
gem 'omniauth-linkedin', '~> 0.0.6'
gem 'omniauth-yahoo', '~> 0.0.4'
gem 'devise', '1.5.3'
gem 'cancan'

gem 'rails_autolink', '~> 1.0.7'

# Tools
gem 'mailchimp'
gem "airbrake"
gem 'feedzirra'
gem 'formtastic'
gem "auto_html", '= 1.4.2'
gem 'validation_reflection', git: 'git://github.com/ncri/validation_reflection.git'
gem 'maxim-sexy_pg_constraints'
gem 'inherited_resources', '1.3.1'
gem 'spectator-validates_email', require: 'validates_email'
gem 'has_vimeo_video', '>= 0.0.4'
gem 'wirble'
gem "on_the_spot"
gem 'weekdays'
gem 'brcep'
gem "RedCloth"
gem 'unicode'
gem 'carrierwave', '= 0.5.8'
gem 'rmagick'
gem 'fog'
gem 'enumerate_it'
gem 'httparty', '~> 0.6.1'
gem "rack-timeout"
gem 'kaminari'
gem 'tumblr-api'
gem 'dalli'
gem 'capybara', ">= 1.0.1"

# Translations
gem 'http_accept_language'
gem 'web_translate_it'
gem 'routing-filter' #, :git => 'git://github.com/svenfuchs/routing-filter.git'

# Administration
gem 'activeadmin', git: 'git://github.com/gregbell/active_admin.git'
gem "meta_search", "1.1.3"

# Payment (moip)
gem 'moip', git: 'https://github.com/danielweinmann/moip-ruby.git', ref: 'db1b879358c623b597dc1c221b53336f9f06db0e'

# Payment (paypal adaptive)
gem 'activemerchant', '1.17.0', require: 'active_merchant'
#gem 'active_paypal_adaptive_payment', '~> 0.3.13'
gem 'httpclient', '2.2.5'
gem 'selenium-webdriver', '~> 2.25.0'
gem 'bourbon'
gem 'paypal-express', :require => 'paypal'

# Server
gem 'thin'

group :assets do
  gem 'sass-rails', '~> 3.2.5'
  gem 'coffee-rails', '~> 3.2.2'
  gem "compass-rails", "~> 1.0.1"
  gem 'uglifier', '>= 1.0.3'
  gem 'compass-960-plugin', '~> 0.10.4'
end

group :test, :development do
  gem 'annotate'
  gem 'launchy'
  gem 'database_cleaner'
  gem 'steak', "~> 1.1.0"
  gem 'rspec-rails', "~> 2.10.0"
  gem 'rcov', '= 0.9.11'
  gem 'mocha', '0.10.4'
end

group :development do
  gem 'mailcatcher'
  gem 'ruby-debug19'
end

group :test do
  gem 'shoulda'
  gem 'factory_girl_rails', '1.7.0'
end
Something went wrong with that request. Please try again.